import type { App } from 'vue'
import { createRouter, createWebHashHistory, RouteRecordRaw } from 'vue-router'
import { useStoreGlobal } from '@/store'
import getPageTitle from '@/utils/pageTitle'
import { constantRoutes } from './routes'

const router = createRouter({
  history: createWebHashHistory(),
  routes: constantRoutes as unknown as RouteRecordRaw[]
})

const doRouterPermission = () => {
  router.afterEach((to) => {
    const global = useStoreGlobal()
    const { meta }: any = to
    document.title = getPageTitle(global.title, meta.title || '')
  })
}

// 配置路由器
export function setupRouter(app: App<Element>) {
  app.use(router);

  doRouterPermission()
}
